## code-saturne 3.2.1

=== libple/examples/Makefile ===
CPPFLAGS  = -I/home/yvan/Code_Saturne/ple/src -I/home/yvan/Code_Saturne/ple_build -I/usr/lib/openmpi/include
CFLAGS  = -O2 -g -Wall
LDFLAGS = 

compile: my_ple_mesh.o my_ple_point_location.o

clean :
	rm *.o

## code-saturne 2.0.2

=== debian/changelog ===
code-saturne (2.0.2-1) unstable; urgency=low

  * New upstream release
  * Standards-Version updated to version 3.9.2
  * Python byte-compile files are now compiled (Closes: #566040)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 26 Jul 2011 22:50:52 +0200

code-saturne (2.0.1-4) unstable; urgency=low

  * python-mei, libbft-dev, libfvm-dev, libmei-dev, libxml2-dev, libblas-dev
    added as dependencies of code-saturne-bin
  * code-saturne-doc added as recommends of code-saturne

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 07 Mar 2011 21:47:26 +0100

code-saturne (2.0.1-3) unstable; urgency=low

  * syrthes changed its path

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 20 Feb 2011 23:09:54 +0100

code-saturne (2.0.1-2) unstable; urgency=low

  * Forgot chrpath as build dependency

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 19 Feb 2011 14:47:03 +0100

code-saturne (2.0.1-1) unstable; urgency=low

  * New upstream release
  * Switch to dpkg-source 3.0 (quilt) format
  * watch file updated
  * Repack script updated

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 08 Feb 2011 18:17:01 +0100

code-saturne (2.0.0.rc1-5) unstable; urgency=low

  * Change dependency from hdf5-serial to hdf5-mpi (Closes: #591154)
  * Standards-Version updated to version 3.9.1

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 09 Oct 2010 00:45:37 +0200

code-saturne (2.0.0.rc1-4) unstable; urgency=low

  * Fix a build issue under kfreebsd-*. Thanks to Petr Salinger for the patch
   (Closes: #571007)
  * code-saturne recommends pdf-viewer

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 24 Feb 2010 18:04:26 +0100

code-saturne (2.0.0.rc1-3) unstable; urgency=low

  * Do not compress pdf files
  * Install in code-saturne-data the bash_completion script
  * Uses syrthes features
  * Ship dev libraries in code-saturne-bin

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 22 Feb 2010 20:34:15 +0100

code-saturne (2.0.0.rc1-2) unstable; urgency=low

  * Explicit minimal versions on code-saturne dependencies

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 22 Feb 2010 10:28:01 +0100

code-saturne (2.0.0.rc1-1) unstable; urgency=low

  * New upstream release (Closes: #557297, #557020)
  * watch file updated
  * Update of Vcs-Svn Vcs-Browser
  * Standards-Version updated to 3.8.4
  * Apply cs-20rc1.diff provided by upstream to fix minor issues

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 20 Feb 2010 15:06:01 +0100

code-saturne (2.0.0.beta2-2) unstable; urgency=low

  * VCS-*: Wrong links
  * Missing dependency on python-qt4 (Closes: #557221)
  * Better descriptions and names of the packages

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 13 Jan 2010 14:18:18 +0100

code-saturne (2.0.0.beta2-1) unstable; urgency=low

  * Initial release (Closes: #501915)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 02 Nov 2009 23:21:17 +0100

=== debian/control ===
Source: code-saturne
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: debhelper (>= 7), autotools-dev, cdbs, libbft-dev (>= 1.1.4),
 libfvm-dev (>= 0.15.2-2), libmei-dev (>= 1.0.1), python-qt4, pyqt4-dev-tools, 
 texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra, 
 fig2ps, syrthes, ecs (>= 2.0.1), gfortran, autoconf,
# To help the configure detection on cs lib
  zlib1g-dev, libhdf5-mpi-dev, libcgns-dev, mpi-default-dev, libmedc-dev,
  libxml2-dev, libblas-dev | libatlas-dev, libopenmpi-dev,
  chrpath, python
Standards-Version: 3.9.2
Homepage: http://www.code-saturne.org/
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/code-saturne/code-saturne/
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/code-saturne/code-saturne/

Package: code-saturne
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ecs, 
 code-saturne-bin (= ${binary:Version}),
 code-saturne-data (= ${source:Version}),
 code-saturne-include (= ${binary:Version}), python-qt4
Recommends: syrthes, bash-completion, paraview, pdf-viewer, code-saturne-doc
Description: General purpose Computational Fluid Dynamics (CFD) software
 The basic capabilities of Code_Saturne enable the handling of either
 incompressible or expandable flows with or without heat transfer and
 turbulence. Dedicated modules are available for specific physics such
 as radiative heat transfer, combustion (gas, coal, heavy fuel oil, ...),
 magneto-hydrodynamics, compressible flows, two-phase flows
 (Euler-Lagrange approach with two-way coupling), extensions to
 specific applications (e.g. Mercure_Saturne for atmospheric
 environment).
 .
 It runs in parallel with MPI on distributed memory machines.
 Developed since 1997 at EDF R&D, it is based on a co-located Finite
 Volume approach that accepts meshes with any type of cell
 (tetrahedral, hexahedral, prismatic, pyramidal, polyhedral...) and any
 type of grid structure (unstructured, block structured, hybrid,
 conforming or with hanging nodes, ...).


Package: code-saturne-bin
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python, python-mei,
 libbft-dev, libfvm-dev, libmei-dev, libxml2-dev, libblas-dev
Recommends: code-saturne
Description: General purpose Computational Fluid Dynamics (CFD) software - binaries
 The basic capabilities of Code_Saturne enable the handling of either
 incompressible or expandable flows with or without heat transfer and
 turbulence. Dedicated modules are available for specific physics such
 as radiative heat transfer, combustion (gas, coal, heavy fuel oil, ...),
 magneto-hydrodynamics, compressible flows, two-phase flows
 (Euler-Lagrange approach with two-way coupling), extensions to
 specific applications (e.g. Mercure_Saturne for atmospheric
 environment).
 .
 It runs in parallel with MPI on distributed memory machines.
 Developed since 1997 at EDF R&D, it is based on a co-located Finite
 Volume approach that accepts meshes with any type of cell
 (tetrahedral, hexahedral, prismatic, pyramidal, polyhedral...) and any
 type of grid structure (unstructured, block structured, hybrid,
 conforming or with hanging nodes, ...).
 .
 This package contains the binary files.

Package: code-saturne-data
Priority: optional
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: code-saturne
Description: General purpose Computational Fluid Dynamics (CFD) software - data
 The basic capabilities of Code_Saturne enable the handling of either
 incompressible or expandable flows with or without heat transfer and
 turbulence. Dedicated modules are available for specific physics such
 as radiative heat transfer, combustion (gas, coal, heavy fuel oil, ...),
 magneto-hydrodynamics, compressible flows, two-phase flows
 (Euler-Lagrange approach with two-way coupling), extensions to
 specific applications (e.g. Mercure_Saturne for atmospheric
 environment).
 .
 It runs in parallel with MPI on distributed memory machines.
 Developed since 1997 at EDF R&D, it is based on a co-located Finite
 Volume approach that accepts meshes with any type of cell
 (tetrahedral, hexahedral, prismatic, pyramidal, polyhedral...) and any
 type of grid structure (unstructured, block structured, hybrid,
 conforming or with hanging nodes, ...).
 .
 This package contains the data.

Package: code-saturne-include
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: General purpose Computational Fluid Dynamics (CFD) software - includes
 The basic capabilities of Code_Saturne enable the handling of either
 incompressible or expandable flows with or without heat transfer and
 turbulence. Dedicated modules are available for specific physics such
 as radiative heat transfer, combustion (gas, coal, heavy fuel oil, ...),
 magneto-hydrodynamics, compressible flows, two-phase flows
 (Euler-Lagrange approach with two-way coupling), extensions to
 specific applications (e.g. Mercure_Saturne for atmospheric
 environment).
 .
 It runs in parallel with MPI on distributed memory machines.
 Developed since 1997 at EDF R&D, it is based on a co-located Finite
 Volume approach that accepts meshes with any type of cell
 (tetrahedral, hexahedral, prismatic, pyramidal, polyhedral...) and any
 type of grid structure (unstructured, block structured, hybrid,
 conforming or with hanging nodes, ...).
 .
 This package contains the include files.

Package: code-saturne-doc
Priority: optional
Section: doc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: General purpose Computational Fluid Dynamics (CFD) software - Documentation
 The basic capabilities of Code_Saturne enable the handling of either
 incompressible or expandable flows with or without heat transfer and
 turbulence. Dedicated modules are available for specific physics such
 as radiative heat transfer, combustion (gas, coal, heavy fuel oil, ...),
 magneto-hydrodynamics, compressible flows, two-phase flows
 (Euler-Lagrange approach with two-way coupling), extensions to
 specific applications (e.g. Mercure_Saturne for atmospheric
 environment).
 .
 It runs in parallel with MPI on distributed memory machines.
 Developed since 1997 at EDF R&D, it is based on a co-located Finite
 Volume approach that accepts meshes with any type of cell
 (tetrahedral, hexahedral, prismatic, pyramidal, polyhedral...) and any
 type of grid structure (unstructured, block structured, hybrid,
 conforming or with hanging nodes, ...).
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright 2009 Sylvestre Ledru <sylvestre@debian.org>

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

DEB_CONFIGURE_USER_FLAGS := --with-syrthes=/usr/lib/syrthes/ --with-mpi CFLAGS="-I/usr/lib/openmpi/include/"
DEB_MAKE_BUILD_TARGET    := all pdf
DEB_MAKE_INSTALL_TARGET  := install install-pdf DESTDIR=`pwd`/debian/tmp
DEB_COMPRESS_EXCLUDE := .pdf

binary-install/code-saturne-bin::
	chrpath -d debian/code-saturne-bin/usr/bin/cs_solver

binary-install/code-saturne-data::
	chmod +x debian/code-saturne-data/usr/share/ncs/SaturneGUI \
		debian/code-saturne-data/usr/share/ncs/runcase
	dh_python2 -pcode-saturne-data

=== debian/watch ===
version=3
http://research.edf.com/research-and-the-scientific-community/softwares/code-saturne/download-code-saturne-80059.html \
.*/ncs-(\d)(\d)(\d)\.zip debian debian/orig-tar.sh

## code-saturne 2.1.0

=== debian/changelog ===
code-saturne (2.1.0-3) unstable; urgency=low

  * Install a missing file

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 24 Nov 2011 00:00:08 +0100

code-saturne (2.1.0-2) unstable; urgency=low

  * Fix some various issues reported by upstream.

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 21 Nov 2011 14:49:56 +0100

code-saturne (2.1.0-1) unstable; urgency=low

  * New upstream release. Merge all dependencies into a single source package.
  * Fix some minor lintian warnings.

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 01 Nov 2011 17:43:32 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,13 @@
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
-Build-Depends: debhelper (>= 7), autotools-dev, cdbs, libbft-dev (>= 1.1.4),
- libfvm-dev (>= 0.15.2-2), libmei-dev (>= 1.0.1), python-qt4, pyqt4-dev-tools, 
+Build-Depends: debhelper (>= 7), autotools-dev, cdbs, python-qt4,
+ pyqt4-dev-tools, fig2ps, syrthes, gfortran, autoconf,
  texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra, 
- fig2ps, syrthes, ecs (>= 2.0.1), gfortran, autoconf,
 # To help the configure detection on cs lib
   zlib1g-dev, libhdf5-mpi-dev, libcgns-dev, mpi-default-dev, libmedc-dev,
   libxml2-dev, libblas-dev | libatlas-dev, libopenmpi-dev,
-  chrpath, python
+  chrpath, python, libscotch-dev
 Standards-Version: 3.9.2
 Homepage: http://www.code-saturne.org/
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/code-saturne/code-saturne/
@@ -19,7 +18,7 @@
 Package: code-saturne
 Priority: optional
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ecs, 
+Depends: ${shlibs:Depends}, ${misc:Depends},
  code-saturne-bin (= ${binary:Version}),
  code-saturne-data (= ${source:Version}),
  code-saturne-include (= ${binary:Version}), python-qt4
@@ -45,9 +44,11 @@
 Package: code-saturne-bin
 Priority: optional
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, python, python-mei,
- libbft-dev, libfvm-dev, libmei-dev, libxml2-dev, libblas-dev
+Depends: ${shlibs:Depends}, ${misc:Depends}, python,
+ libxml2-dev, libblas-dev
 Recommends: code-saturne
+Replaces: libbft-dev, libfvm-dev, libmei-dev
+Conflicts: libbft-dev, libfvm-dev, libmei-dev
 Description: General purpose Computational Fluid Dynamics (CFD) software - binaries
  The basic capabilities of Code_Saturne enable the handling of either
  incompressible or expandable flows with or without heat transfer and
@@ -70,7 +71,9 @@
 Package: code-saturne-data
 Priority: optional
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, python
+Replaces: python-mei
+Conflicts: python-mei
 Recommends: code-saturne
 Description: General purpose Computational Fluid Dynamics (CFD) software - data
  The basic capabilities of Code_Saturne enable the handling of either
@@ -94,7 +97,8 @@
 Package: code-saturne-include
 Priority: optional
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libcgns-dev, libmedc-dev,
+ libhdf5-dev | libhdf5-serial-dev, zlib1g-dev, mpi-default-dev, libxml2-dev
 Description: General purpose Computational Fluid Dynamics (CFD) software - includes
  The basic capabilities of Code_Saturne enable the handling of either
  incompressible or expandable flows with or without heat transfer and
@@ -117,7 +121,7 @@
 Package: code-saturne-doc
 Priority: optional
 Section: doc
-Architecture: any
+Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: General purpose Computational Fluid Dynamics (CFD) software - Documentation
  The basic capabilities of Code_Saturne enable the handling of either

=== debian/watch ===
version=3
http://research.edf.com/research-and-the-scientific-community/softwares/code-saturne/download-code-saturne-80059.html \
.*/code_saturne-(\d)(\d)(\d)\.zip debian debian/orig-tar.sh

## code-saturne 2.1.4

=== debian/changelog ===
code-saturne (2.1.4-1) unstable; urgency=low

  * New upstream release
  * Update the build dep on hdf5 for the 1.8.8 transition
  * Fix an upgrade issue (LP: #916165) (Closes: #656737)
  * Provide also the examples (Closes: #639693)
  * Patch as-needed.patch removed (applied upstream)
  * Force usage of cgns 3.1.3.2 minimal

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 18 Jan 2012 19:50:42 +0100

code-saturne (2.1.0-4) unstable; urgency=low

  * Fix a as-needed issue. Thanks to Ilya Barygin for the patch
    (Closes: #651672)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 11 Dec 2011 19:26:58 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  pyqt4-dev-tools, fig2ps, syrthes, gfortran, autoconf,
  texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra, 
 # To help the configure detection on cs lib
-  zlib1g-dev, libhdf5-mpi-dev, libcgns-dev, mpi-default-dev, libmedc-dev,
+  zlib1g-dev, libhdf5-mpi-dev (>= 1.8.8~), libcgns-dev (>= 3.1.3.2), mpi-default-dev, libmedc-dev,
   libxml2-dev, libblas-dev | libatlas-dev, libopenmpi-dev,
   chrpath, python, libscotch-dev
 Standards-Version: 3.9.2
@@ -47,8 +47,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, python,
  libxml2-dev, libblas-dev
 Recommends: code-saturne
-Replaces: libbft-dev, libfvm-dev, libmei-dev
-Conflicts: libbft-dev, libfvm-dev, libmei-dev
+Replaces: libbft-dev, libfvm-dev, libmei-dev, libfvm0, libbft1, libmei0
+Conflicts: libbft-dev, libfvm-dev, libmei-dev, libfvm0, libbft1, libmei0
 Description: General purpose Computational Fluid Dynamics (CFD) software - binaries
  The basic capabilities of Code_Saturne enable the handling of either
  incompressible or expandable flows with or without heat transfer and
@@ -98,7 +98,7 @@
 Priority: optional
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libcgns-dev, libmedc-dev,
- libhdf5-dev | libhdf5-serial-dev, zlib1g-dev, mpi-default-dev, libxml2-dev
+ libhdf5-dev, zlib1g-dev, mpi-default-dev, libxml2-dev
 Description: General purpose Computational Fluid Dynamics (CFD) software - includes
  The basic capabilities of Code_Saturne enable the handling of either
  incompressible or expandable flows with or without heat transfer and

## code-saturne 2.1.7

=== debian/changelog ===
code-saturne (2.1.7-1) unstable; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 01 Jun 2012 11:25:40 +0200

code-saturne (2.1.6-1) unstable; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 04 Apr 2012 23:58:04 +0200

code-saturne (2.1.5-1) unstable; urgency=low

  * New upstream release
  * New upstream website => watch updated
  * Standards-Version updated to version 3.9.3
  * ple-config manpage added

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 23 Mar 2012 13:36:41 +0100

=== debian/rules ===
#!/usr/bin/make -f
# Copyright 2009 Sylvestre Ledru <sylvestre@debian.org>

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_USER_FLAGS := --with-syrthes=/usr/lib/syrthes/ --with-mpi  --libexecdir=/usr/lib/
#--libdir=/usr/lib/code_saturne
DEB_MAKE_BUILD_TARGET    := all
DEB_MAKE_INSTALL_TARGET  := install DESTDIR=`pwd`/debian/tmp
DEB_COMPRESS_EXCLUDE := .pdf

install/code-saturne-bin::
	chrpath -d debian/tmp/usr/lib/code_saturne/cs_*

binary-install/code-saturne-data::
	chmod +x debian/code-saturne-data/usr/share/code_saturne/SaturneGUI \
		debian/code-saturne-data/usr/share/code_saturne/runcase*
	dh_python2 -pcode-saturne-data

=== debian/watch ===
version=3
http://code-saturne.org/releases/ \
code_saturne-(.*)\.tar\.gz

## code-saturne 2.3.3

=== debian/changelog ===
code-saturne (2.3.3-1~exp1) experimental; urgency=low

  * New upstream release
  * Disable the compression of the example files
  * Update of the watch file to skip RC releases

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 30 Nov 2012 15:47:31 +0100

code-saturne (2.2.1-1) experimental; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 15 Jul 2012 23:38:17 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
   zlib1g-dev, libhdf5-mpi-dev (>= 1.8.8~), libcgns-dev (>= 3.1.3.2), mpi-default-dev, libmedc-dev,
   libxml2-dev, libblas-dev | libatlas-dev, libopenmpi-dev,
   chrpath, python, libscotch-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.code-saturne.org/
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/code-saturne/code-saturne/
 Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/code-saturne/code-saturne/
@@ -25,7 +25,7 @@
 Recommends: syrthes, bash-completion, paraview, pdf-viewer, code-saturne-doc
 Description: General purpose Computational Fluid Dynamics (CFD) software
  The basic capabilities of Code_Saturne enable the handling of either
- incompressible or expandable flows with or without heat transfer and
+ incompressible or expandxable flows with or without heat transfer and
  turbulence. Dedicated modules are available for specific physics such
  as radiative heat transfer, combustion (gas, coal, heavy fuel oil, ...),
  magneto-hydrodynamics, compressible flows, two-phase flows

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 #--libdir=/usr/lib/code_saturne
 DEB_MAKE_BUILD_TARGET    := all
 DEB_MAKE_INSTALL_TARGET  := install DESTDIR=`pwd`/debian/tmp
-DEB_COMPRESS_EXCLUDE := .pdf
+DEB_COMPRESS_EXCLUDE := .pdf .xml .des .f90 .c
 
 install/code-saturne-bin::
 	chrpath -d debian/tmp/usr/lib/code_saturne/cs_*

## code-saturne 3.0.1

=== debian/changelog ===
code-saturne (3.0.1-1) unstable; urgency=low

  * New upstream release
  * Upload to unstable
  * Standards-Version updated to 3.9.4
  * Fix a typo in the description (Closes: #669152)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 14 May 2013 10:44:19 +0200

code-saturne (3.0.0-1~exp1) experimental; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 28 Mar 2013 13:47:26 +0100

## code-saturne 3.1.0

=== debian/changelog ===
code-saturne (3.1.0-1) unstable; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 21 Jun 2013 10:54:15 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
   zlib1g-dev, libhdf5-mpi-dev (>= 1.8.8~), libcgns-dev (>= 3.1.3.2), mpi-default-dev, libmedc-dev,
   libxml2-dev, libblas-dev | libatlas-dev, libopenmpi-dev,
   chrpath, python, libscotch-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.code-saturne.org/
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/code-saturne/code-saturne/
 Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/code-saturne/code-saturne/
@@ -25,7 +25,7 @@
 Recommends: syrthes, bash-completion, paraview, pdf-viewer, code-saturne-doc
 Description: General purpose Computational Fluid Dynamics (CFD) software
  The basic capabilities of Code_Saturne enable the handling of either
- incompressible or expandxable flows with or without heat transfer and
+ incompressible or expandable flows with or without heat transfer and
  turbulence. Dedicated modules are available for specific physics such
  as radiative heat transfer, combustion (gas, coal, heavy fuel oil, ...),
  magneto-hydrodynamics, compressible flows, two-phase flows

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,5 @@
 	chrpath -d debian/tmp/usr/lib/code_saturne/cs_*
 
 binary-install/code-saturne-data::
-	chmod +x debian/code-saturne-data/usr/share/code_saturne/SaturneGUI \
-		debian/code-saturne-data/usr/share/code_saturne/runcase*
+	chmod +x debian/code-saturne-data/usr/share/code_saturne/runcase*
 	dh_python2 -pcode-saturne-data

## code-saturne 3.2.1

=== debian/changelog ===
code-saturne (3.2.1-1build1) trusty; urgency=medium

  * No-change rebuild for libopenmpi1.3 -> libopenmpi1.6 transition.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 16 Dec 2013 17:28:17 -0500

code-saturne (3.2.1-1) unstable; urgency=low

  * New upstream release
  * Cherry-pick a patch from upstream to fix the install
    fix-the-make-install.diff
  * Use dh-autoreconf to rebuild the autotools files

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 10 Dec 2013 09:51:14 +0100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 # To help the configure detection on cs lib
   zlib1g-dev, libhdf5-mpi-dev (>= 1.8.8~), libcgns-dev (>= 3.1.3.2), mpi-default-dev, libmedc-dev,
   libxml2-dev, libblas-dev | libatlas-dev, libopenmpi-dev,
-  chrpath, python, libscotch-dev
-Standards-Version: 3.9.4
+  chrpath, python, libscotch-dev, dh-autoreconf
+Standards-Version: 3.9.5
 Homepage: http://www.code-saturne.org/
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/code-saturne/code-saturne/
 Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/code-saturne/code-saturne/

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
+include /usr/share/cdbs/1/rules/autoreconf.mk
 
 DEB_CONFIGURE_USER_FLAGS := --with-syrthes=/usr/lib/syrthes/ --with-mpi  --libexecdir=/usr/lib/
 #--libdir=/usr/lib/code_saturne

=== debian/watch ===
version=3
http://code-saturne.org/releases/ \
code_saturne-([0-9.]*)\.tar\.gz

## code-saturne 3.3.1

=== debian/changelog ===
code-saturne (3.3.1-2) unstable; urgency=medium

  * Team upload.
  * Support hdf5 1.8.13 new packaging layout (closes: #756661).
  * debian/control: fix Vcs-* fields.

 -- Gilles Filippini <pini@debian.org>  Thu, 24 Jul 2014 16:15:19 +0200

code-saturne (3.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 14 Jul 2014 15:27:44 +0200

code-saturne (3.2.2-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 04 May 2014 11:51:53 +0200

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
   chrpath, python, libscotch-dev, dh-autoreconf
 Standards-Version: 3.9.5
 Homepage: http://www.code-saturne.org/
-Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/code-saturne/code-saturne/
-Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/code-saturne/code-saturne/
+Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/code-saturne/trunk/
+Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/code-saturne/trunk/
 
 Package: code-saturne
 Priority: optional

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,18 @@
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/autoreconf.mk
 
+# Which MPI implementation?
+# set ARCH_DEFAULT_MPI_IMPL
+include /usr/share/mpi-default-dev/debian_defaults
+
 DEB_CONFIGURE_USER_FLAGS := --with-syrthes=/usr/lib/syrthes/ --with-mpi  --libexecdir=/usr/lib/
+
+ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/$(ARCH_DEFAULT_MPI_IMPL)/libhdf5.so),)
+  DEB_CONFIGURE_USER_FLAGS += \
+	--with-hdf5-include=/usr/include/hdf5/$(ARCH_DEFAULT_MPI_IMPL) \
+	--with-hdf5-lib=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/$(ARCH_DEFAULT_MPI_IMPL)
+endif
+
 #--libdir=/usr/lib/code_saturne
 DEB_MAKE_BUILD_TARGET    := all
 DEB_MAKE_INSTALL_TARGET  := install DESTDIR=`pwd`/debian/tmp

## code-saturne 3.3.2

=== debian/changelog ===
code-saturne (3.3.2-4) unstable; urgency=medium

  * Team upload.
  * debian/control: add missing Breaks / Replaces to fix the previous
    change (cf. Policy section 7.6.1).

 -- Gilles Filippini <pini@debian.org>  Tue, 13 Jan 2015 19:28:29 +0100

code-saturne (3.3.2-3) unstable; urgency=medium

  * Team upload.
  * Move arch-dependant script cs_config.py from code-saturne-data to
    code-saturne-include (Closes: #775107).

 -- Gilles Filippini <pini@debian.org>  Sun, 11 Jan 2015 16:01:45 +0100

code-saturne (3.3.2-2) unstable; urgency=medium

  * Team upload.
  * debian/rules: drop configure flag --with-syrthes (not valid
    anymore since release 2.3.0).
  * debian/control:
    - Add myself to Uploaders (closes: #754477).
    - Remove useless build dependency on syrthes.

 -- Gilles Filippini <pini@debian.org>  Tue, 23 Sep 2014 11:55:20 +0200

code-saturne (3.3.2-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 31 Aug 2014 12:20:15 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: science
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Sylvestre Ledru <sylvestre@debian.org>
+Uploaders: Sylvestre Ledru <sylvestre@debian.org>, Gilles Filippini <pini@debian.org>
 Build-Depends: debhelper (>= 7), autotools-dev, cdbs, python-qt4,
- pyqt4-dev-tools, fig2ps, syrthes, gfortran, autoconf,
+ pyqt4-dev-tools, fig2ps, gfortran, autoconf,
  texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra, 
 # To help the configure detection on cs lib
   zlib1g-dev, libhdf5-mpi-dev (>= 1.8.8~), libcgns-dev (>= 3.1.3.2), mpi-default-dev, libmedc-dev,
@@ -99,6 +99,8 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libcgns-dev, libmedc-dev,
  libhdf5-dev, zlib1g-dev, mpi-default-dev, libxml2-dev
+Replaces: code-saturne-data (<< 3.3.2-3)
+Breaks: code-saturne-data (<< 3.3.2-3)
 Description: General purpose Computational Fluid Dynamics (CFD) software - includes
  The basic capabilities of Code_Saturne enable the handling of either
  incompressible or expandable flows with or without heat transfer and

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,9 @@
 #!/usr/bin/make -f
 # Copyright 2009 Sylvestre Ledru <sylvestre@debian.org>
+
+# Exclude cs_config.py from package code-saturne-data
+# It should go into code-saturne-include
+binary-install/code-saturne-data:: DEB_DH_INSTALL_ARGS := -Xcs_config.py
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
@@ -9,7 +13,7 @@
 # set ARCH_DEFAULT_MPI_IMPL
 include /usr/share/mpi-default-dev/debian_defaults
 
-DEB_CONFIGURE_USER_FLAGS := --with-syrthes=/usr/lib/syrthes/ --with-mpi  --libexecdir=/usr/lib/
+DEB_CONFIGURE_USER_FLAGS := --with-mpi --libexecdir=/usr/lib/
 
 ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/$(ARCH_DEFAULT_MPI_IMPL)/libhdf5.so),)
   DEB_CONFIGURE_USER_FLAGS += \
@@ -23,8 +27,11 @@
 DEB_COMPRESS_EXCLUDE := .pdf .xml .des .f90 .c
 
 install/code-saturne-bin::
-	chrpath -d debian/tmp/usr/lib/code_saturne/cs_*
+	chrpath -d debian/tmp/usr/lib/code_saturne/cs_* debian/tmp/usr/lib/libsaturne.so*
 
 binary-install/code-saturne-data::
 	chmod +x debian/code-saturne-data/usr/share/code_saturne/runcase*
 	dh_python2 -pcode-saturne-data
+
+binary-install/code-saturne-include::
+	dh_python2 -pcode-saturne-include

## code-saturne 4.0.1+repack

=== debian/changelog ===
code-saturne (4.0.1+repack-1) unstable; urgency=medium

  * New upstream release.
  * New patch pdflatex.patch: fix invalid latex location specifiers in
    documentation. 
  * Build checked against gcc-5 (closes: #777820).
  * debian/control: cleanup obsolete Conflicts / Replaces.
  * Moved bash completion script to usr/share/bash-completion/completions.
  * Updated debian/copyright.

 -- Gilles Filippini <pini@debian.org>  Sun, 05 Jul 2015 18:42:00 +0200

code-saturne (3.3.4+repack-1~exp1) experimental; urgency=medium

  * New upstream release.

  * Better conformance to Devs Reference §6.7.8.2 when repacking
    upstream source:
    - Mangled version = <upstream version>+repack
    - Use code-saturne-<upstream-version>.orig as top level directory name.

 -- Gilles Filippini <pini@debian.org>  Mon, 30 Mar 2015 22:07:06 +0200

code-saturne (3.3.3+svn-1~exp2) experimental; urgency=medium

  * New patch ac_init.patch to initialise the build chain with
    the name "code-saturne" instead of "code_saturne", so that
    installation paths are consistent.
    This way the command "code_saturne info -g <doc>" is able to
    find /usr/share/doc/code-saturne/<doc>.pdf.
  * Install examples into usr/share/doc/code-saturne as well.

 -- Gilles Filippini <pini@debian.org>  Thu, 22 Jan 2015 14:16:04 +0100

code-saturne (3.3.3+svn-1~exp1) experimental; urgency=medium

  * Move packaging work from svn to git on alioth.
  * debian/control: update Vcs-* fields.

  * Get upstream source code from upstream SVN repository, to be able
    to generate documentation from source (Closes: #746970):
    - debian/control: Build-Depends: bison, flex, doxygen, graphviz
    - install docs via debian/code-saturne-doc.install instead of
      debian/code-saturne-doc.docs to be able to exclude some paths
    - debian/code-saturne-doc.lintian-overrides to silence #736360.
  * install docs into /usr/share/doc/code-saturne (instead of
    /usr/share/doc/code-saturne-doc).

  * Fix the clean target and add debian/source/option to successfully
    pass the two builds in a row test.

 -- Gilles Filippini <pini@debian.org>  Mon, 19 Jan 2015 20:57:36 +0100

code-saturne (3.3.3-1~exp3) experimental; urgency=medium

  * Merge fix from unstable (3.3.2-4):
    debian/control: add Breaks and Replaces stanzas to allow smooth
    upgrade with the previous fix.

 -- Gilles Filippini <pini@debian.org>  Sat, 17 Jan 2015 18:11:35 +0100

code-saturne (3.3.3-1~exp2) experimental; urgency=medium

  * Team upload.
  * Merge fix from unstable (3.3.2-3):
    Move arch-dependant script cs_config.py from code-saturne-data to
    code-saturne-include (Closes: #775107).
  * Enable parallel build.

 -- Gilles Filippini <pini@debian.org>  Mon, 12 Jan 2015 01:43:46 +0100

code-saturne (3.3.3-1~exp1) experimental; urgency=medium

  * New upstream release
  * Standards-Version updated to 3.9.6

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 30 Dec 2014 14:07:32 +0100

## code-saturne 4.0.2+repack

=== debian/changelog ===
code-saturne (4.0.2+repack-1build1) wily; urgency=medium

  * No-change rebuild against libmedc1v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 16:31:51 +0000

code-saturne (4.0.2+repack-1) unstable; urgency=medium

  * New upstream release (bug fixes).

 -- Gilles Filippini <pini@debian.org>  Sat, 25 Jul 2015 11:58:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,22 @@
 Source: code-saturne
 Section: science
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>, Gilles Filippini <pini@debian.org>
 Build-Depends: debhelper (>= 7), autotools-dev, cdbs, python-qt4,
  pyqt4-dev-tools, fig2ps, gfortran, autoconf,
  texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra, 
+# To build from upstream SVN source
+  bison, flex, doxygen, graphviz,
 # To help the configure detection on cs lib
   zlib1g-dev, libhdf5-mpi-dev (>= 1.8.8~), libcgns-dev (>= 3.1.3.2), mpi-default-dev, libmedc-dev,
   libxml2-dev, libblas-dev | libatlas-dev, libopenmpi-dev,
   chrpath, python, libscotch-dev, dh-autoreconf
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.code-saturne.org/
-Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/code-saturne/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/code-saturne/trunk/
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/code-saturne.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/code-saturne.git
 
 Package: code-saturne
 Priority: optional
@@ -47,8 +50,6 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, python,
  libxml2-dev, libblas-dev
 Recommends: code-saturne
-Replaces: libbft-dev, libfvm-dev, libmei-dev, libfvm0, libbft1, libmei0
-Conflicts: libbft-dev, libfvm-dev, libmei-dev, libfvm0, libbft1, libmei0
 Description: General purpose Computational Fluid Dynamics (CFD) software - binaries
  The basic capabilities of Code_Saturne enable the handling of either
  incompressible or expandable flows with or without heat transfer and
@@ -72,8 +73,6 @@
 Priority: optional
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, python
-Replaces: python-mei
-Conflicts: python-mei
 Recommends: code-saturne
 Description: General purpose Computational Fluid Dynamics (CFD) software - data
  The basic capabilities of Code_Saturne enable the handling of either

## code-saturne 4.1.1+repack

=== debian/changelog ===
code-saturne (4.1.1+repack-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patch pdflatex.patch.
  * New patch format-not-a-string-literal-and-no-format-arguments.patch
    to fix 'format not a string literal and no format arguments' errors.

 -- Gilles Filippini <pini@debian.org>  Mon, 17 Aug 2015 19:14:57 +0200

=== debian/rules ===
#!/usr/bin/make -f
# Copyright 2009 Sylvestre Ledru <sylvestre@debian.org>

# Exclude cs_config.py from package code-saturne-data:
# It should go into code-saturne-include.
# Exclude extra license file COPYING as well.
binary-install/code-saturne-data:: DEB_DH_INSTALL_ARGS := -Xcs_config.py -XCOPYING

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

# Which MPI implementation?
# set ARCH_DEFAULT_MPI_IMPL
include /usr/share/mpi-default-dev/debian_defaults

DEB_CONFIGURE_USER_FLAGS := --with-mpi --libexecdir=/usr/lib/

ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/$(ARCH_DEFAULT_MPI_IMPL)/libhdf5.so),)
  DEB_CONFIGURE_USER_FLAGS += \
	--with-hdf5-include=/usr/include/hdf5/$(ARCH_DEFAULT_MPI_IMPL) \
	--with-hdf5-lib=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/$(ARCH_DEFAULT_MPI_IMPL)
endif

#--libdir=/usr/lib/code-saturne
DEB_MAKE_CLEAN_TARGET    := distclean
DEB_MAKE_BUILD_TARGET    := all
DEB_MAKE_INSTALL_TARGET  := install DESTDIR=`pwd`/debian/tmp
DEB_COMPRESS_EXCLUDE := .pdf .xml .des .f90 .c

# Enable parallel build when available
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif	

clean::
	rm -fr docs/doxygen/src
	rm -f po/*.gmo
	rm -f po/POTFILES.in
	rm -f po/code_saturne.pot
	rm -f po/stamp-po
	rm -f src/apps/cs_solver
	rm -f src/mei/mei_parser.[ch] src/mei/mei_scanner.c
	# Uncomment when testing two builds in a row
	#echo "abort-on-upstream-changes" >debian/source/local-options

pre-build::
	# See sbin/bootstrap
	ls preprocessor/*/*.c src/*/*.c* | grep -v user_examples > po/POTFILES.in

install/code-saturne-bin::
	chrpath -d debian/tmp/usr/lib/code-saturne/cs_* debian/tmp/usr/lib/libsaturne.so*

binary-install/code-saturne-data::
	chmod +x debian/code-saturne-data/usr/share/code-saturne/runcase*
	dh_python2 -pcode-saturne-data

binary-install/code-saturne-include::
	dh_python2 -pcode-saturne-include

build/code-saturne-doc::
	# Several tries for target html to workaround random failures
	$(MAKE) html || $(MAKE) html || $(MAKE) html
	$(MAKE) pdf

## code-saturne 4.2.0%2Brepack

=== debian/changelog ===
code-saturne (4.2.0+repack-1build1) xenial; urgency=medium

  * No-change rebuild for openmpi transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 12:56:03 +0000

code-saturne (4.2.0+repack-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches (fixed upstream):
    - format-not-a-string-literal-and-no-format-arguments.patch
    - pdflatex.patch
  * code-saturne-doc: new symlink /usr/share/doc/code_saturne to
    code-saturne to make "code_saturne info -g <doc>" functional again.
  * debian/NEWS: update version to 4.1.1+repack-2.

 -- Gilles Filippini <pini@debian.org>  Mon, 04 Jan 2016 21:55:28 +0100

code-saturne (4.1.1+repack-2) unstable; urgency=medium

  * Drop patch ac_init.patch to change back the package name for
    autoconf from 'code-saturne' to 'code_saturne'. This patch broke
    some tests into the script cs_package.py.

 -- Gilles Filippini <pini@debian.org>  Mon, 30 Nov 2015 11:25:23 +0100

## code-saturne 4.2.0+repack

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: code-saturne
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>, Gilles Filippini <pini@debian.org>
 Build-Depends: debhelper (>= 7), autotools-dev, cdbs, python-qt4,
  pyqt4-dev-tools, fig2ps, gfortran, autoconf,

=== debian/rules ===
--- 
+++ 
@@ -50,10 +50,10 @@
 	ls preprocessor/*/*.c src/*/*.c* | grep -v user_examples > po/POTFILES.in
 
 install/code-saturne-bin::
-	chrpath -d debian/tmp/usr/lib/code-saturne/cs_* debian/tmp/usr/lib/libsaturne.so*
+	chrpath -d debian/tmp/usr/lib/code_saturne/cs_* debian/tmp/usr/lib/libsaturne.so*
 
 binary-install/code-saturne-data::
-	chmod +x debian/code-saturne-data/usr/share/code-saturne/runcase*
+	chmod +x debian/code-saturne-data/usr/share/code_saturne/runcase*
 	dh_python2 -pcode-saturne-data
 
 binary-install/code-saturne-include::

## code-saturne 4.2.1+repack

=== debian/changelog ===
code-saturne (4.2.1+repack-1build1) zesty; urgency=medium

  * No-change rebuild against libopenmpi2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 22 Oct 2016 01:22:10 +0000

code-saturne (4.2.1+repack-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: bump Standards-Version to 3.9.7 (no changes).

 -- Gilles Filippini <pini@debian.org>  Mon, 21 Mar 2016 10:57:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: code-saturne
 Section: science
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>, Gilles Filippini <pini@debian.org>
 Build-Depends: debhelper (>= 7), autotools-dev, cdbs, python-qt4,
  pyqt4-dev-tools, fig2ps, gfortran, autoconf,
@@ -12,7 +13,7 @@
   zlib1g-dev, libhdf5-mpi-dev (>= 1.8.8~), libcgns-dev (>= 3.1.3.2), mpi-default-dev, libmedc-dev,
   libxml2-dev, libblas-dev | libatlas-dev, libopenmpi-dev,
   chrpath, python, libscotch-dev, dh-autoreconf
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://www.code-saturne.org/
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/code-saturne.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/code-saturne.git

## code-saturne 4.3.1+repack

=== debian/changelog ===
code-saturne (4.3.1+repack-2) unstable; urgency=medium

  * Build against libcgns3.3

 -- Gilles Filippini <pini@debian.org>  Sun, 11 Dec 2016 16:06:58 +0100

code-saturne (4.3.1+repack-1) unstable; urgency=medium

  * New upstream release

 -- Gilles Filippini <pini@debian.org>  Sun, 09 Oct 2016 13:34:08 +0200

code-saturne (4.3.0+repack-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: extend to year 2016

 -- Gilles Filippini <pini@debian.org>  Thu, 22 Sep 2016 22:09:51 +0200

## code-saturne 4.3.2+repack

=== debian/changelog ===
code-saturne (4.3.2+repack-1) unstable; urgency=medium

  * New upstream release
  * New patch autovnv-study.py-syntax-error.patch: backport an upstream
    fix to autovnv code from their Version4_3 branch (fix FTBFS)

 -- Gilles Filippini <pini@debian.org>  Thu, 12 Jan 2017 19:21:50 +0100

## code-saturne 4.3.3%2Brepack

=== build-aux/catalyst/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

PROJECT(CoProcessingTest)

FIND_PACKAGE(ParaView REQUIRED)
INCLUDE(${PARAVIEW_USE_FILE})

ADD_EXECUTABLE(CoProcessingTest CoProcessingTest.cxx)
TARGET_LINK_LIBRARIES(CoProcessingTest vtkPVCatalyst vtkPVPythonCatalystPythonD)

## code-saturne 4.3.3+repack

=== debian/changelog ===
code-saturne (4.3.3+repack-1build1) artful; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Aug 2017 19:21:45 +0000

code-saturne (4.3.3+repack-1) unstable; urgency=medium

  * New upstream release
  * Drop patch autovnv-study.py-syntax-error.patch (fixed upstream)

 -- Gilles Filippini <pini@debian.org>  Mon, 23 Jan 2017 10:28:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: code-saturne
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>, Gilles Filippini <pini@debian.org>
 Build-Depends: debhelper (>= 7), autotools-dev, cdbs, python-qt4,
  pyqt4-dev-tools, fig2ps, gfortran, autoconf,
@@ -10,7 +9,7 @@
 # To build from upstream SVN source
   bison, flex, doxygen, graphviz,
 # To help the configure detection on cs lib
-  zlib1g-dev, libhdf5-mpi-dev (>= 1.8.8~), libcgns-dev (>= 3.1.3.2), mpi-default-dev, libmedc-dev,
+  zlib1g-dev, libhdf5-mpi-dev (>= 1.8.8~), libcgns-dev (>= 3.3.0~), mpi-default-dev, libmedc-dev,
   libxml2-dev, libblas-dev | libatlas-dev, libopenmpi-dev,
   chrpath, python, libscotch-dev, dh-autoreconf
 Standards-Version: 3.9.7

=== debian/rules ===
--- 
+++ 
@@ -60,6 +60,5 @@
 	dh_python2 -pcode-saturne-include
 
 build/code-saturne-doc::
-	# Several tries for target html to workaround random failures
-	$(MAKE) html || $(MAKE) html || $(MAKE) html
+	$(MAKE) html
 	$(MAKE) pdf

=== debian/watch ===
version=3
opts="dversionmangle=s/\+svn\d*$//" \
	http://code-saturne.org/releases/ \
	code_saturne-([0-9.]*)\.tar\.gz \
	debian debian/orig-tar.sh
